# RoomInformation class

## Constructors

RoomInformation ({required JID jid, required List <String> features, required String name, DataForm? roomInfo})
  Represents information about a Multi-User Chat (MUC) room.
RoomInformation.fromDiscoInfo ({required DiscoInfo discoInfo})
  Constructs a RoomInformation object from a DiscoInfo object. The DiscoInfo object contains the necessary information to populate the RoomInformation fields.
  factory

## Properties

features → List <String>
  A list of features supported by the Multi-User Chat (MUC) room.
  final
hashCode → int
  The hash code for this object.
  no setterinherited
jid → JID
  The JID of the Multi-User Chat (MUC) room.
  final
name → String
  The name or title of the Multi-User Chat (MUC) room.
  final
roomInfo → DataForm?
  The data form containing room information.
  final
runtimeType → Type
  A representation of the runtime type of the object.
  no setterinherited

## Methods

noSuchMethod (Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString () → String
  A string representation of this object.
  inherited

## Operators

operator == (Object other) → bool
  The equality operator.
  inherited